
/** Variables used by GLUI ***/
extern float view_rotate[16];
extern int animation_x_z;
extern int animation_x_y;
extern unsigned int delay;

extern int wireframe, vvwireframe;
extern int object_type;

/* The Principal View (what the main camera sees): mapped to upper
	half of the window */
extern float left, right, bottom, top, near_, far_;

extern float eyex, eyey, eyez, centerx, centery, centerz, upx, upy, upz;

/* if 'gluPerspective is used in perspective projection */
extern float fovy, aspect;

extern int orthographic;  /* using orthographic proj. */
extern int frustum;  /* if perspective proj. use glFrustum */


/* Meta-View: A second camera observes the first observer,
	together with his viewing volume */
extern float left2, right2, bottom2, top2, near_2, far_2;

extern float eyex2, eyey2, eyez2, centerx2, centery2, centerz2,
			upx2, upy2, upz2;

/* if 'gluPerspective is used in perspective projection */
extern float fovy2, aspect2;

extern int orthographic2; /* using orthographic proj. */
extern int frustum2; /* if perspective proj. use glFrustum */

